Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/tint2: upgrade to 0.12.2

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sun, 4 Oct 2015 15:04:06 +0200

---
 testing/tint2/APKBUILD | 46 ++++++++++++++++++++++++----------------------
 1 file changed, 24 insertions(+), 22 deletions(-)
diff --git a/testing/tint2/APKBUILD b/testing/tint2/APKBUILD
index e33c105..f8c6890 100644
--- a/testing/tint2/APKBUILD
+++ b/testing/tint2/APKBUILD
_at_@ -1,40 +1,42 @@
-# Contributor: mari (dot) hahn (at) wwu (dot) de
+# Contributor: Mari Hahn <mari.hahn_at_wwu.de>
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer:
 pkgname=tint2
-pkgver=0.11
+pkgver=0.12.2
 pkgrel=0
 pkgdesc="tint2 is a simple panel/taskbar unintrusive and light"
-url="http://code.google.com/p/tint2/"
+url="https://gitlab.com/o9000/tint2"
 arch="all"
 license="GPL2"
 depends="imlib2 glib pango cairo libxcomposite libxdamage libxinerama libxrandr gtk+"
-depends_dev="cmake imlib2-dev glib-dev pango-dev cairo-dev libxcomposite-dev libxdamage-dev libxinerama-dev libxrandr-dev gtk+-dev"
+depends_dev="cmake imlib2-dev glib-dev pango-dev cairo-dev libxcomposite-dev
+	libxdamage-dev libxinerama-dev libxrandr-dev gtk+-dev librsvg-dev startup-notification-dev"
 makedepends="$depends_dev"
 install=""
 subpackages="$pkgname-doc"
-source="http://tint2.googlecode.com/files/${pkgname}-${pkgver}.tar.bz2"
-
-_builddir="${srcdir}/${pkgname}-${pkgver}"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+source="$pkgname-$pkgver.tar.gz::https://gitlab.com/o9000/${pkgname}/repository/archive.tar.gz?ref=${pkgver}"
 
+_builddir="$srcdir"/$pkgname-$pkgver-dc300c021531f47cca336e15b50adf3b4a9bc9ae
 build() {
-	cd "${_builddir}"
-	cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr . || return 1
+	cd "$_builddir"
+	cmake \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib \
+		-DBUILD_SHARED_LIBS=True \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_CXX_COMPILER="${CXX:-g++}" \
+		-DCMAKE_C_COMPILER="${CC:-gcc}" \
+		-DCMAKE_CXX_FLAGS="$CXXFLAGS" \
+		-DCMAKE_CXX_FLAGS="$CFLAGS" \
+		|| return 1
 	make || return 1
 }
 
 package() {
-	cd "${_builddir}"
+	cd "$_builddir"
 	make DESTDIR="${pkgdir}" install || return 1
 }
 
-md5sums="6fc5731e7425125fa84a2add5cef4bff  tint2-0.11.tar.bz2"
-sha256sums="fe106e6a6057d2631abddde9f82d3fd4fb1985c4fb93f10d3886417a9e22471d  tint2-0.11.tar.bz2"
-sha512sums="db88c17780d24b82badbedbce4518d736dfcb2a730ff500bcb36f2b32f65271c2424f0c2a34981f9d3af033b84252db0c8217e2dd7ca57f9a0eadbc98796115c  tint2-0.11.tar.bz2"
+md5sums="dae8bd857e2a885a4f118c803bc4fff7  tint2-0.12.2.tar.gz"
+sha256sums="eb4743fde5939bcb644f82ee8a69fa87a7a45f07095aca8a4ba91886260b0113  tint2-0.12.2.tar.gz"
+sha512sums="00be554f0cecac9a4f58bb6180489e27cb88b26c2fe9681970efb95e9c15c23443c94836315836cf319a72288d8b52e7035d9edcdba7678abe36f9590a98e2e4  tint2-0.12.2.tar.gz"
-- 
2.6.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Oct 04 2015 - 15:04:06 GMT